#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main()
{
	char *a = (char*)malloc(sizeof(char)), *b = (char*)malloc(sizeof(char)), *c = (char*)malloc(sizeof(char));
	scanf("%s%s%s", a, b, c);
	char* broj = (char*)malloc(sizeof(char)*0);
	if(strcmp(a, b)>0&&strcmp(a, c)>0)
	{
		strcat(broj, a);
		if(strcmp(b, c)>0)
		{
			strcat(broj, b);
			strcat(broj, c);
		}
		else
		{
			strcat(broj, c);
			strcat(broj, b);
		}
	}
	else if(strcmp(b, a)>0&&strcmp(b, c)>0)
	{
		strcat(broj, b);
		if(strcmp(a, c)>0)
		{
			strcat(broj, a);
			strcat(broj, c);
		}
		else
		{
			strcat(broj, c);
			strcat(broj, a);
		}
	}
	else
	{
		strcat(broj, c);
		if(strcmp(a, b)>0)
		{
			strcat(broj, a);
			strcat(broj, b);
		}
		else
		{
			strcat(broj, b);
			strcat(broj, a);
		}
	}
	printf("%sa", broj);
	return 0;
}